summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2019-12-13 13:47:45 +0100
committerAlexis Ballier <aballier@gentoo.org>2019-12-13 14:53:20 +0100
commit9206458dd12fca488d82ec56f249975e4b527aa9 (patch)
tree8197e6f953a7962f5c5e331dfddbcf0d4e74243d /dev-ros/ament_cmake_export_libraries
parentdev-ros/ament_cmake_export_link_flags: use python-any-r1 (diff)
downloadgentoo-9206458dd12fca488d82ec56f249975e4b527aa9.tar.gz
gentoo-9206458dd12fca488d82ec56f249975e4b527aa9.tar.bz2
gentoo-9206458dd12fca488d82ec56f249975e4b527aa9.zip
dev-ros/ament_cmake_export_libraries: use python-any-r1
Package-Manager: Portage-2.3.81, Repoman-2.3.20 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-ros/ament_cmake_export_libraries')
-rw-r--r--dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-0.8.1.ebuild23
-rw-r--r--dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-9999.ebuild23
2 files changed, 16 insertions, 30 deletions
diff --git a/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-0.8.1.ebuild b/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-0.8.1.ebuild
index 4bde223f5df..c3827165a1e 100644
--- a/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-0.8.1.ebuild
+++ b/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-0.8.1.ebuild
@@ -5,7 +5,7 @@ EAPI=7
PYTHON_COMPAT=( python{3_6,3_7} )
-inherit cmake-utils python-r1
+inherit cmake-utils python-any-r1
ROS_PN="ament_cmake"
if [ "${PV#9999}" != "${PV}" ] ; then
@@ -30,19 +30,12 @@ else
fi
IUSE=""
-DEPEND="
- dev-ros/ament_cmake_core[${PYTHON_USEDEP}]
+RDEPEND="
+ dev-ros/ament_cmake_core
+"
+DEPEND="${RDEPEND}"
+# Deps here are transitive from ament_cmake_core to have matching python support
+BDEPEND="
+ $(python_gen_any_dep 'dev-python/ament_package[${PYTHON_USEDEP}] dev-python/catkin_pkg[${PYTHON_USEDEP}]')
${PYTHON_DEPS}
"
-RDEPEND="${DEPEND}"
-BDEPEND="${DEPEND}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-src_configure() {
- # This is a build tool that does not install python-related files
- # ... but we need to propagate the deps and use python3 to build it.
- local pyimpl="${PYTHON_COMPAT[0]}"
- python_export "${pyimpl}" EPYTHON PYTHON
- python_wrapper_setup
- cmake-utils_src_configure
-}
diff --git a/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-9999.ebuild b/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-9999.ebuild
index 4bde223f5df..c3827165a1e 100644
--- a/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-9999.ebuild
+++ b/dev-ros/ament_cmake_export_libraries/ament_cmake_export_libraries-9999.ebuild
@@ -5,7 +5,7 @@ EAPI=7
PYTHON_COMPAT=( python{3_6,3_7} )
-inherit cmake-utils python-r1
+inherit cmake-utils python-any-r1
ROS_PN="ament_cmake"
if [ "${PV#9999}" != "${PV}" ] ; then
@@ -30,19 +30,12 @@ else
fi
IUSE=""
-DEPEND="
- dev-ros/ament_cmake_core[${PYTHON_USEDEP}]
+RDEPEND="
+ dev-ros/ament_cmake_core
+"
+DEPEND="${RDEPEND}"
+# Deps here are transitive from ament_cmake_core to have matching python support
+BDEPEND="
+ $(python_gen_any_dep 'dev-python/ament_package[${PYTHON_USEDEP}] dev-python/catkin_pkg[${PYTHON_USEDEP}]')
${PYTHON_DEPS}
"
-RDEPEND="${DEPEND}"
-BDEPEND="${DEPEND}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-src_configure() {
- # This is a build tool that does not install python-related files
- # ... but we need to propagate the deps and use python3 to build it.
- local pyimpl="${PYTHON_COMPAT[0]}"
- python_export "${pyimpl}" EPYTHON PYTHON
- python_wrapper_setup
- cmake-utils_src_configure
-}